/*
	interface.h
	By Tuxgasy <tuxgasy@tuxfamily.org>
	
	This file is part of Glda.
	
	You may redistribute it and/or modify it under the terms of the
	GNU General Public License, as published by the Free Software
	Foundation; either version 2 of the License, or (at your option) any later version.
	
	Glda is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with Glda; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef DEF_INTERFACE
#define DEF_INTERFACE

#include <gtk/gtk.h>

#include "main.h"

enum {MAGASINS_COLUMN, N_COLUMN_MAGASINS};
enum {PRODUITS_COLUMN, PRIX_COLUMN, N_COLUMN_PRODUITS};
enum {PRODUITS_COLUMN_LDA, QUANTITE_COLUMN_LDA, N_COLUMN_LDA};

/**************************************************************

	En-tete de "interface.c"

**************************************************************/

void create_pWindow(glda *pGlda);

GtkWidget* create_pMenuBar(glda *pGlda);

GtkWidget* create_pListSuperMarket(glda *pGlda);

void create_pListCat(glda *pGlda);

void create_pListArt(glda *pGlda, int IdCat, int IdSSCat);

GtkWidget* create_pAddDellPrint(glda *pGlda);

GtkWidget* create_pListDAchat(glda *pGlda);

void addArt(glda *pGlda, int IdCat, int IdSSCat, int IdArt, int Quantite);

void openLDA(glda *pGlda);

void updateNbArtEtPrixTot(glda *pGlda);

void openList(glda *pGlda);

void saveList(glda *pGlda);
void saveListAs(glda *pGlda);
void exportList(glda *pGlda);

gboolean yesOrNoDialog(glda *pGlda, gchar *msg);
void errorDialog(glda *pGlda, gchar *msg);

gboolean saveModif(glda *pGlda);

GtkWidget* create_pAbout(glda *pGlda);

/***************************************************************

	En-tete de "callbacks.c"

****************************************************************/

void OnNew(GtkWidget *pWidget, glda *pData);

void OnOpen(GtkWidget *pWidget, glda *pData);

void OnSave(GtkWidget *pWidget, glda *pData);
void OnSaveAs(GtkWidget *pWidget, glda *pData);
void OnExport(GtkWidget *pWidget, glda *pData);

void ShowArticle(GtkTreeSelection *select, glda *pData);

void OnAdd(GtkWidget *pWidget, glda *pData);

void cell_edited(GtkCellRendererText *renderer, gchar *path, gchar *new_text, glda *pData);

void OnRemove(GtkWidget *pWidget, glda *pData);

void OnPrint(GtkWidget *pWidget, glda *pData);

void OnAbout(GtkWidget *pWidget, glda *pData);

gboolean OnDestroy(GtkWidget *pWidget, glda *pData);

gboolean OnQuit(GtkWidget *pWindow, GdkEvent *pEvent, gpointer data);

#endif
